%Linkwitz-Riley lowpass and highpass digital filter design.
%[B,A]=linkwitzriley(n,Wn,'type')
%n must be even
function [B,A]=linkwitzriley(n,Wn,STRING)
if(mod(n,2))
    error('Error: n must be odd')
else
    if(nargin==3)
        [B,A]=butter(n/2,Wn,STRING);
    elseif(nargin==2)
        [B,A]=butter(n/2,Wn);
    else
        error('Incorrect number of input arguments')          
    end
    B=conv(B,B);
    A=conv(A,A);
end